Skip to main content
GET
/
wallet
/
external-funding-sources
List external funding sources
curl --request GET \
  --url https://api.natural.co/wallet/external-funding-sources \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "externalFundingSource",
      "id": "efs_550e8400e29b41d4a716446655440000",
      "attributes": {
        "bankName": "Chase",
        "accountName": "Business Checking",
        "accountType": "checking",
        "lastFour": "6789",
        "verificationState": "verifiedInstantAuth",
        "status": "active",
        "createdAt": "2026-01-04T15:30:00Z"
      },
      "relationships": {
        "party": {
          "data": {
            "type": "party",
            "id": "pty_7c9e6679e29b41d4a716446655440001"
          }
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.natural.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

cursor
string
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

data
ExternalFundingSourceResource · object[]
required
meta
object
required